<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content
 * after. Calls sidebar-footer.php for bottom widgets.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>
	</div><!-- .content-wrapper -->
</div><!-- #wrap -->

<div id="footer" class="footer">
	
	
	<?php
		/* A sidebar in the footer? Yep. You can can customize
		 * your footer with four columns of widgets.
		 */
		get_sidebar( 'footer' );
	?>
	<div class="container">
		
			
			<p id="site-info">
				<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
					&copy; <?php echo date('Y'); ?> <?php bloginfo( 'name' ); ?>
				</a> 

				<span class="pull-right" id="site-generator">
					<?php do_action( 'twentyten_credits' ); ?>
					<a href="<?php echo esc_url( __( 'http://trasaterra.com/', 'twentyten' ) ); ?>" title="<?php esc_attr_e( 'Digital Branding, Design & Development', 'twentyten' ); ?>"><?php printf( __( 'Designed by %s', 'twentyten' ), 'Trasaterra' ); ?></a>
				</span><!-- #site-generator -->
			</p><!-- #site-info -->
		
	</div><!-- .container -->

</div><!-- .footer -->

	
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="<?php bloginfo('stylesheet_directory'); ?>/bootstrap/js/bootstrap.min.js"></script>
    <script>
					(function ($, window, delay) {
					  var theTimer = 0;
					  var theElement = null;
					    var theLastPosition = {x:0,y:0};
					  $('[data-toggle]')
					    .closest('li')
					    .on('mouseenter', function (inEvent) {
					    if (theElement) theElement.removeClass('open');
					    window.clearTimeout(theTimer);
					    theElement = $(this);

					    theTimer = window.setTimeout(function () {
					      theElement.addClass('open');
					    }, delay);
					  })
					    .on('mousemove', function (inEvent) {
					        if(Math.abs(theLastPosition.x - inEvent.ScreenX) > 4 || 
					           Math.abs(theLastPosition.y - inEvent.ScreenY) > 4)
					        {
					            theLastPosition.x = inEvent.ScreenX;
					            theLastPosition.y = inEvent.ScreenY;
					            return;
					        }
					        
					    if (theElement.hasClass('open')) return;
					    window.clearTimeout(theTimer);
					    theTimer = window.setTimeout(function () {
					      theElement.addClass('open');
					    }, delay);
					  })
					    .on('mouseleave', function (inEvent) {
					    window.clearTimeout(theTimer);
					    theElement = $(this);
					    theTimer = window.setTimeout(function () {
					      theElement.removeClass('open');
					    }, delay);
					  });
					})(jQuery, window, 200); // 200 is the delay in milliseconds
				</script>


<?php
	/* Always have wp_footer() just before the closing </body>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to reference JavaScript files.
	 */

	wp_footer();
?>
</body>
</html>
